KeeperException.NotEmptyException (ZooKeeper 3.4.6 API)
Date: 2014-02-20

org.apache.zookeeper

## Class KeeperException.NotEmptyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.zookeeper.KeeperException
      - - org.apache.zookeeper.KeeperException.NotEmptyException

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    KeeperException

      public static class KeeperException.NotEmptyException
      extends KeeperException

  See Also:
    `KeeperException.Code.NOTEMPTY`, Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.zookeeper.KeeperException

      `KeeperException.APIErrorException, KeeperException.AuthFailedException, KeeperException.BadArgumentsException, KeeperException.BadVersionException, KeeperException.Code, KeeperException.CodeDeprecated, KeeperException.ConnectionLossException, KeeperException.DataInconsistencyException, KeeperException.InvalidACLException, KeeperException.InvalidCallbackException, KeeperException.MarshallingErrorException, KeeperException.NoAuthException, KeeperException.NoChildrenForEphemeralsException, KeeperException.NodeExistsException, KeeperException.NoNodeException, KeeperException.NotEmptyException, KeeperException.NotReadOnlyException, KeeperException.OperationTimeoutException, KeeperException.RuntimeInconsistencyException, KeeperException.SessionExpiredException, KeeperException.SessionMovedException, KeeperException.SystemErrorException, KeeperException.UnimplementedException`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeeperException.NotEmptyException()`
    `KeeperException.NotEmptyException(String path)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.zookeeper.KeeperException

      `code, create, create, create, create, getCode, getMessage, getPath, getResults, setCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### KeeperException.NotEmptyException

          public KeeperException.NotEmptyException()

    - #### KeeperException.NotEmptyException

          public KeeperException.NotEmptyException(String path)

Copyright © 2014 The Apache Software Foundation